Subject: Re: linux-next: Tree for Dec 16

From: Guenter Roeck <[email-masked]>
Date: Mon, 15 Dec 2014 22:35:49 -0800

On Tue, Dec 16, 2014 at 03:46:22PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Please do not add any code destined for v3.20 to your linux-next included
> trees/branches until after v3.19-rc1 is released.
> 
> Changes since 20141215:
> 
> The infiniband tree gained a conflict against Linus' tree and a build
> failure so I used the version from next-20141215.
> 
> The userns tree gained a conflict against the vfs tree.
> 
> The clk tree gained a build failure so I used the version from
> next-20141215.
> 
> Non-merge commits (relative to Linus' tree): 3588
>  2582 files changed, 123494 insertions(+), 135748 deletions(-)
> 

My metag buildbot test fails with this kernel.

bisect result:

a82be12232dcccf6b914cec7458e96ee79fae0e3 is the first bad commit
commit a82be12232dcccf6b914cec7458e96ee79fae0e3
Author: Andy Lutomirski <[email-masked]>
Date:   Tue Dec 16 13:26:43 2014 +1100

    all arches, signal: move restart_block to struct task_struct

bisect log:

# bad: [a0eda581bf3fdc7be6bdf4cb18ce087675699336] Add linux-next specific files for 20141216
# good: [b2776bf7149bddd1f4161f14f79520f17fc1d71d] Linux 3.18
git bisect start 'HEAD' 'v3.18'
# good: [27afc5dbda52ee3dbcd0bda7375c917c6936b470] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/s390/linux
git bisect good 27afc5dbda52ee3dbcd0bda7375c917c6936b470
# good: [a5e6d5b3bb7124309ce581e9e050e029ab037609] Merge remote-tracking branch 'l2-mtd/master'
git bisect good a5e6d5b3bb7124309ce581e9e050e029ab037609
# good: [93cc1d514a7e8bc4e00ce913ddccb34ee8a2a001] Merge remote-tracking branch 'ipmi/for-next'
git bisect good 93cc1d514a7e8bc4e00ce913ddccb34ee8a2a001
# good: [865cde938ee6ab758fd47d1a36150aee20371b85] staging: unisys: virtpci: Fix CamelCase in delete_vbus_device()
git bisect good 865cde938ee6ab758fd47d1a36150aee20371b85
# good: [594e400a2c3a64d7c3ba8ad7b0196c887a354100] staging: comedi: das6402: add basic (*do_cmdtest) for AI async commands
git bisect good 594e400a2c3a64d7c3ba8ad7b0196c887a354100
# good: [4e8bb35b814a1377dcaf48b98d4ab29176528cdc] Merge remote-tracking branch 'target-updates/for-next'
git bisect good 4e8bb35b814a1377dcaf48b98d4ab29176528cdc
# good: [e03f3bb62ca8a1124bc408046c50aed7629b24cc] next-20141215/clk
git bisect good e03f3bb62ca8a1124bc408046c50aed7629b24cc
# bad: [a82be12232dcccf6b914cec7458e96ee79fae0e3] all arches, signal: move restart_block to struct task_struct
git bisect bad a82be12232dcccf6b914cec7458e96ee79fae0e3
# good: [4425fdc4c01ab7699072a417741a008b0dca576b] ocfs2: do not fallback to buffer I/O write if appending
git bisect good 4425fdc4c01ab7699072a417741a008b0dca576b
# good: [98b090c1d15d1c94f01f071b283ce44be8644220] mm: define MADV_FREE for some arches
git bisect good 98b090c1d15d1c94f01f071b283ce44be8644220
# good: [ca402e9bfbbac21d3d7541c33adb60f7ebcc480e] arm: add pmd_mkclean for THP
git bisect good ca402e9bfbbac21d3d7541c33adb60f7ebcc480e
# good: [60eeb1279b50c205f045d2b7c76c906a2d2fb751] mm: Fix comment typo "CONFIG_TRANSPARNTE_HUGE"
git bisect good 60eeb1279b50c205f045d2b7c76c906a2d2fb751
# good: [1134212f12cb9e5b3c24b7be5cfa304486f2f96b] do_shared_fault(): check that mmap_sem is held
git bisect good 1134212f12cb9e5b3c24b7be5cfa304486f2f96b
# first bad commit: [a82be12232dcccf6b914cec7458e96ee79fae0e3] all arches, signal: move restart_block to struct task_struct

--

Guenter